Name:           python-pyfxa
Version:        0.8.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Firefox Accounts client library for Python

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MPL-2.0
URL:            https://github.com/mozilla/PyFxA
Source:         %{pypi_source pyfxa}

BuildArch:      noarch
BuildRequires:  python3-devel

#Test dependencies
BuildRequires:  python3-pytest
# BuildRequires:  python3-grequests
BuildRequires:  python3-pyotp
BuildRequires:  python3-parameterized
BuildRequires:  python3-responses

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is python library for interacting with the Mozilla Accounts (formerly known as the Firefox Accounts) ecosystem.

Eventually, it is planned to provide easy support for the following features:
 - being a direct mozilla accounts authentication client
 - being an FxA OAuth Service Provider
 - accessing attached services
 - helps interactions with Firefox Account servers with requests Authentication plugins.}

%description %_description

%package -n     python3-pyfxa
Summary:        %{summary}

%description -n python3-pyfxa %_description


%prep
%autosetup -p1 -n pyfxa-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files -l fxa


%check
# %%pytest fxa/tests fails without internet
%pyproject_check_import


%files -n python3-pyfxa -f %{pyproject_files}
%{_bindir}/fxa-client

%changelog
%autochangelog
